POST V1/CustomerSupport.{ext}/MarkEmailasRead

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.CustomerEmail
NameDescriptionTypeAdditional information
EmailBody

No description available

string

None.

EmailSubject

No description available

string

None.

LoginId

No description available

string

None.

ProfileImageType

No description available

string

None.

Aging

No description available

string

None.

EmailUniqueId

No description available

string

None.

SenderEmail

No description available

string

None.

SenderName

No description available

string

None.

Clients

No description available

Collection of EMS.Inventory.Entities.ClientDetail

None.

EmailType

No description available

string

None.

EmailImportance

No description available

string

None.

ReceivedDate

No description available

string

None.

UserId

No description available

integer

None.

ImageExists

No description available

boolean

None.

CreatedUserName

No description available

string

None.

EmailBodyMain

No description available

string

None.

CreatedDate

No description available

string

None.

EmailGuid

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "emailBody": "sample string 1",
  "emailSubject": "sample string 2",
  "loginId": "sample string 3",
  "profileImageType": "sample string 4",
  "aging": "sample string 5",
  "emailUniqueId": "sample string 6",
  "senderEmail": "sample string 7",
  "senderName": "sample string 8",
  "clients": [
    {
      "clientId": 1,
      "clientName": "sample string 2"
    },
    {
      "clientId": 1,
      "clientName": "sample string 2"
    }
  ],
  "emailType": "sample string 9",
  "emailImportance": "sample string 10",
  "receivedDate": "sample string 11",
  "userId": 12,
  "imageExists": true,
  "createdUserName": "sample string 14",
  "emailBodyMain": "sample string 15",
  "createdDate": "sample string 16",
  "emailGuid": "sample string 17"
}

application/xml, text/xml

Sample:
<CustomerEmail xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Aging>sample string 5</Aging>
  <Clients>
    <ClientDetail>
      <ClientId>1</ClientId>
      <ClientName>sample string 2</ClientName>
    </ClientDetail>
    <ClientDetail>
      <ClientId>1</ClientId>
      <ClientName>sample string 2</ClientName>
    </ClientDetail>
  </Clients>
  <CreatedDate>sample string 16</CreatedDate>
  <CreatedUserName>sample string 14</CreatedUserName>
  <EmailBody>sample string 1</EmailBody>
  <EmailBodyMain>sample string 15</EmailBodyMain>
  <EmailGuid>sample string 17</EmailGuid>
  <EmailImportance>sample string 10</EmailImportance>
  <EmailSubject>sample string 2</EmailSubject>
  <EmailType>sample string 9</EmailType>
  <EmailUniqueId>sample string 6</EmailUniqueId>
  <ImageExists>true</ImageExists>
  <LoginId>sample string 3</LoginId>
  <ProfileImageType>sample string 4</ProfileImageType>
  <ReceivedDate>sample string 11</ReceivedDate>
  <SenderEmail>sample string 7</SenderEmail>
  <SenderName>sample string 8</SenderName>
  <UserId>12</UserId>
</CustomerEmail>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.